import { Connection, PublicKey } from "@solana/web3.js";
import { Reserve } from "@/state";
export interface PricePair {
    network: string;
    version: string;
    quoteSymbol: string;
    quoteToken: string;
    baseSymbol: string;
    baseToken: string;
    maxPrice: string;
    minPrice: string;
}
export interface PriceItem {
    symbol: string;
    name: string;
    mintAddress: string;
}
export interface PricePairWithReserveAddress extends PricePair {
    reserveAddress: string;
}
export interface PricePairWithMintAddress extends PricePair {
    mintAddress: string;
}
export declare const DEFAULT_PRICES: {
    [key: string]: number;
};
export declare function fetchPricesWithReserves(parsedReserves: Array<{
    info: Reserve;
    pubkey: PublicKey;
}>, connection: Connection, debug?: boolean): Promise<{
    [address: string]: {
        spotPrice: number;
        emaPrice: number;
    } | undefined;
}>;
export declare function fetchPrices(parsedReserves: Array<PriceItem>, connection: Connection, debug?: boolean): Promise<{
    [address: string]: {
        spotPrice: number;
        emaPrice: number;
    } | undefined;
}>;
